summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2018-03-28 10:34:20 +0200
committermakefu <github@syntax-fehler.de>2018-03-28 10:37:21 +0200
commit762d7471d2c6c40d399af54a17b8f220a650d847 (patch)
tree670dd7d0b16113122c85e14398cad1f5a9ff59bc /scripts
parentd58b1b6721a2b7c341e47ba251f62bb6cd49786f (diff)
udpate weekrun script
Diffstat (limited to 'scripts')
-rw-r--r--scripts/weekrun25
1 files changed, 13 insertions, 12 deletions
diff --git a/scripts/weekrun b/scripts/weekrun
index c2d3abb..28cbed2 100644
--- a/scripts/weekrun
+++ b/scripts/weekrun
@@ -15,17 +15,18 @@ for i in thales-deutschland ibm-boeblingen buerocampus-wangen continental-villin
arafetch --db $db --cantine $i
ara2influx $db --cantine $i
db=$PDFDIR/$i-$NOW.pdf
- wget http://gast.aramark.de/$i/menu/pdf/woche_de.php -O $db
+ wget http://gast.aramark.de/$i/menu/pdf/woche_de.php -O $db || echo "Unable to fetch pdf plan of $i"
- # commit changes
- pushd $DATADIR
- if ! test -e .git;then
- echo "initializing git repo for $DATADIR"
- git init
- git config user.email "arafetch@localhost"
- git config user.name "arafetch daemon"
- fi
- git add -A
- git commit -m "update $NOW"
- popd
done
+
+# commit changes
+pushd $DATADIR
+if ! test -e .git;then
+ echo "initializing git repo for $DATADIR"
+ git init
+ git config user.email "arafetch@localhost"
+ git config user.name "arafetch daemon"
+fi
+git add -A
+git commit -m "update $NOW"
+popd